"use strict";
var actions_1 = require('../actions');
var lodash_1 = require('lodash');
function mutations(previousState, action) {
    if (previousState === void 0) { previousState = {}; }
    if (actions_1.isMutationInitAction(action)) {
        var newState = lodash_1.assign({}, previousState);
        newState[action.mutationId] = {
            mutationString: action.mutationString,
            mutation: action.mutation,
            variables: action.variables,
            loading: true,
            error: null,
        };
        return newState;
    }
    else if (actions_1.isMutationResultAction(action)) {
        var newState = lodash_1.assign({}, previousState);
        newState[action.mutationId] = lodash_1.assign({}, previousState[action.mutationId], {
            loading: false,
            error: null,
        });
        return newState;
    }
    return previousState;
}
exports.mutations = mutations;
//# sourceMappingURL=store.js.map